tvbrowser.extras.searchplugin

## Class SearchPlugin

- java.lang.Object
- - tvbrowser.extras.searchplugin.SearchPlugin

-     public class SearchPlugin
      extends java.lang.Object

  Provides a dialog for searching programs.
  Author:
    Til Schneider, www.murfman.de

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Localizer` | `mLocalizer` The localizer for this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getAlwaysSearchExpert()`
    `protected static ActionMenu` | `getButtonAction()`
    `protected static ActionMenu` | `getContextMenuActions(Program program)`
    `static SearchPlugin` | `getInstance()`
    `ThemeIcon` | `getMarkIconFromTheme()`
    `(package private) static java.lang.String` | `getName()`
    `int` | `getRepetitionTimeSelection()` Select this entry in the RepetitionDialog
    `protected static SearchFormSettings[]` | `getSearchHistory()`
    `static java.lang.String` | `getSearchPluginId()`
    `SettingsTab` | `getSettingsTab()`
    `protected void` | `openSearchDialog(java.lang.String text)`
    `protected void` | `openSearchDialog(java.lang.String text, SearchFormSettings settings)`
    `static void` | `setAlwaysSearchExpert(boolean value)`
    `void` | `setRepetitionTimeSelection(int selectedIndex)` Set the selected entry in the RepetitionDialog
    `protected static void` | `setSearchHistory(SearchFormSettings[] history)`
    `void` | `store()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLocalizer

          protected static final Localizer mLocalizer

      The localizer for this class.

  - ### Method Detail

    - #### store

          public void store()

    - #### getButtonAction

          protected static ActionMenu getButtonAction()

    - #### getContextMenuActions

          protected static ActionMenu getContextMenuActions(Program program)

    - #### getMarkIconFromTheme

          public ThemeIcon getMarkIconFromTheme()

    - #### getInstance

          public static SearchPlugin getInstance()

    - #### getSearchHistory

          protected static SearchFormSettings[] getSearchHistory()

    - #### setSearchHistory

          protected static void setSearchHistory(SearchFormSettings[] history)

    - #### getSettingsTab

          public SettingsTab getSettingsTab()

    - #### getSearchPluginId

          public static java.lang.String getSearchPluginId()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          static java.lang.String getName()

    - #### getRepetitionTimeSelection

          public int getRepetitionTimeSelection()

      Select this entry in the RepetitionDialog
      Returns:
        index of selected time

    - #### setRepetitionTimeSelection

          public void setRepetitionTimeSelection(int selectedIndex)

      Set the selected entry in the RepetitionDialog
      Parameters:
        `selectedIndex` - selected entry

    - #### openSearchDialog

          protected void openSearchDialog(java.lang.String text,
                              SearchFormSettings settings)

    - #### openSearchDialog

          protected void openSearchDialog(java.lang.String text)

    - #### getAlwaysSearchExpert

          public static boolean getAlwaysSearchExpert()

    - #### setAlwaysSearchExpert

          public static void setAlwaysSearchExpert(boolean value)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)